--- old/usr/src/uts/common/fs/pcfs/pc_node.c	2015-08-19 20:52:09.525517704 -0400
+++ new/usr/src/uts/common/fs/pcfs/pc_node.c	2015-08-19 20:52:09.533904135 -0400
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/t_lock.h>
 #include <sys/errno.h>
@@ -140,8 +138,7 @@
 	 * Cannot find node in active list. Allocate memory for a new node
 	 * initialize it, and put it on the active list.
 	 */
-	pcp = kmem_alloc(sizeof (struct pcnode), KM_SLEEP);
-	bzero(pcp, sizeof (struct pcnode));
+	pcp = kmem_zalloc(sizeof (struct pcnode), KM_SLEEP);
 	vp = vn_alloc(KM_SLEEP);
 	pcp->pc_vn = vp;
 	pcp->pc_entry = *ep;
--- old/usr/src/uts/common/inet/ip/spd.c	2015-08-19 20:52:09.760273652 -0400
+++ new/usr/src/uts/common/inet/ip/spd.c	2015-08-19 20:52:09.767858978 -0400
@@ -4520,10 +4520,9 @@
 ipsec_latch_t *
 iplatch_create()
 {
-	ipsec_latch_t *ipl = kmem_alloc(sizeof (*ipl), KM_NOSLEEP);
+	ipsec_latch_t *ipl = kmem_zalloc(sizeof (*ipl), KM_NOSLEEP);
 	if (ipl == NULL)
 		return (ipl);
-	bzero(ipl, sizeof (*ipl));
 	mutex_init(&ipl->ipl_lock, NULL, MUTEX_DEFAULT, NULL);
 	ipl->ipl_refcnt = 1;
 	return (ipl);
--- old/usr/src/uts/common/io/pckt.c	2015-08-19 20:52:10.193363100 -0400
+++ new/usr/src/uts/common/io/pckt.c	2015-08-19 20:52:10.201058394 -0400
@@ -28,8 +28,6 @@
 /*	  All Rights Reserved  	*/
 
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* from S5R4 1.10 */
-
 /*
  * Description: The pckt module packetizes messages on
  *		its read queue by pre-fixing an M_PROTO
@@ -224,8 +222,7 @@
 	/*
 	 * Allocate state structure.
 	 */
-	pip = kmem_alloc(sizeof (*pip), KM_SLEEP);
-	bzero(pip, sizeof (*pip));
+	pip = kmem_zalloc(sizeof (*pip), KM_SLEEP);
 
 #ifdef _MULTI_DATAMODEL
 	pip->model = ddi_model_convert_from(get_udatamodel());
--- old/usr/src/uts/common/rpc/sec_gss/svc_rpcsec_gss.c	2015-08-19 20:52:10.412552275 -0400
+++ new/usr/src/uts/common/rpc/sec_gss/svc_rpcsec_gss.c	2015-08-19 20:52:10.420581763 -0400
@@ -957,10 +957,9 @@
 	arg = kmem_alloc(sizeof (*arg), KM_SLEEP);
 
 	/* taskq func must free rpc_call_arg & deserialized arguments */
-	arg->rpc_call_arg = kmem_alloc(sizeof (*arg->rpc_call_arg), KM_SLEEP);
+	arg->rpc_call_arg = kmem_zalloc(sizeof (*arg->rpc_call_arg), KM_SLEEP);
 
 	/* deserialize arguments */
-	bzero(arg->rpc_call_arg, sizeof (*arg->rpc_call_arg));
 	if (!SVC_GETARGS(rqst->rq_xprt, __xdr_rpc_gss_init_arg,
 	    (caddr_t)arg->rpc_call_arg)) {
 		ret = RPCSEC_GSS_FAILED;
--- old/usr/src/uts/common/syscall/rctlsys.c	2015-08-19 20:52:10.702503295 -0400
+++ new/usr/src/uts/common/syscall/rctlsys.c	2015-08-19 20:52:10.710345779 -0400
@@ -293,8 +293,7 @@
 		mutex_exit(&rset->rcs_lock);
 		mutex_exit(&curproc->p_lock);
 
-		nblk = kmem_alloc(sizeof (rctl_opaque_t), KM_SLEEP);
-		bzero(nblk, sizeof (rctl_opaque_t));
+		nblk = kmem_zalloc(sizeof (rctl_opaque_t), KM_SLEEP);
 		nblk->rcq_value = usage;
 
 		ret = copyout(nblk, new_rblk, sizeof (rctl_opaque_t));
